Enregistrer un relevé manuel de compteur
POST
/v1/meters/{id}/readings/manual
const url = 'https://example.com/v1/meters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/readings/manual';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"indexValueMilli":"1234567","readAt":"2026-04-15T12:00:00Z","recordedBy":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","proofRef":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/meters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/readings/manual \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "indexValueMilli": "1234567", "readAt": "2026-04-15T12:00:00Z", "recordedBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "proofRef": "example" }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Request Body required
Section intitulée « Request Body required » Media type application/json
object
indexValueMilli
required
Index en milli-unités (bigint string)
string
Example
1234567 readAt
required
string format: date-time
recordedBy
required
string format: uuid
proofRef
string
Responses
Section intitulée « Responses »Relevé enregistré
Media type application/json
object
data
required
object
readingId
required
string format: uuid
Example generated
{ "data": { "readingId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }}Corps invalide
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}Non authentifié
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}Compteur introuvable
Media type application/json
object
code
required
Code machine de l’erreur
string
message
required
Message lisible
string
origin
Origine domaine de l’erreur (optionnel)
object
boundedContext
string
module
string
status
required
integer
traceId
required
Identifiant de corrélation pour le support
string
Example
{ "code": "RESERVATION_NOT_FOUND", "message": "Réservation introuvable", "status": 404}